<?php
/* --------------------------------------------------------------
   CustomizerCartRedirect.inc.php 2016-06-14
   Gambio GmbH
   http://www.gambio.de
   Copyright (c) 2016 Gambio GmbH
   Released under the GNU General Public License (Version 2)
   [http://www.gnu.org/licenses/gpl-2.0.html]
   --------------------------------------------------------------
*/

class CustomizerCartRedirect extends CustomizerCartRedirect_parent
{
	public function actionAdd()
	{
		/** @var JsonHttpControllerResponse $response */
		$response = parent::actionAdd();
		
		$response = json_decode($response->getBody(), true);
		$response['url'] = preg_replace('/\{[\d]+\}0/', '', $response['url']);
		
		return MainFactory::create('JsonHttpControllerResponse', $response);
	}
}